Parallels H-Sphere Documentation System Administrator Guide

 

Downgrading Postgres

 

Last modified: 18 Jan 2005

 

WARNING: This documentation covers Parallels H-Sphere versions up to 3.1. For the latest up-to-date Parallels H-Sphere documentation, please proceed to the official Parallels site.

H-Sphere works correctly only with Postgres 7.x. Thus, if you have accidentally upgraded Postgres package on your CP server to version 8.x and higher, you need to perform its downgrade to the version you had.

  1. Log into the control panel server as root.
  2. Back up CP postgres home dir.
  3. Back up the file /etc/init.d/postgresql.
  4. Stop the control panel.
  5. Stop Postgres:
    /etc/rc.d/init.d/postgresql stop
  6. Check what postgres packages are installed:
    rpm -qa | grep -i postgres
  7. Uninstall postgres:
    rpm -e --nodeps `rpm -qa| grep -i postgres`
  8. Install an earlier version of postgres packages. The installations are available on your CP server in the directory /hsphere/install/pkg/<CP_OS>/
  9. Start Postgres:
    /etc/rc.d/init.d/postgresql start
  10. Start the control panel.


© Copyright 2017. Parallels Holdings. All rights reserved.